dots.v2.volumes.byVolume_id().snapshots.get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.volumes.byVolume_id(volume_id).snapshots.get(requestConfiguration?: RequestConfiguration<SnapshotsRequestBuilderGetQueryParameters>): Promise<undefined | SnapshotsGetResponse>Description
To retrieve the snapshots that have been created from a volume, send a GET request to /v2/volumes/{volume_id}/snapshots.
Parameters
Path Parameters
volume_idstring requiredExample:
7724db7c-e098-11e5-b522-000f53304e51The ID of the block storage volume.
Query Parameters
perPageinteger optionalExample:
2Number of items returned per page
pageinteger optionalExample:
1Which 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:
let response = await client.v2.volumes
.byVolume_id("7724db7c-e098-11e5-b522-000f53304e51").snapshots.get();
let pages = response?.links?.pages;
while (pages && "next" in pages && typeof pages.next === "string") {
const page = Number(new URL(pages.next).searchParams.get("page"));
response = await client.v2.volumes
.byVolume_id("7724db7c-e098-11e5-b522-000f53304e51").snapshots.get({
queryParameters: {
page,
},
});
pages = response?.links?.pages;
}Response Example
More Information
See /v2/volumes/{volume_id}/snapshots in the API reference for additional detail on responses, headers, parameters, and more.